//
//  ViewController.m
//  HelloTalk
//
//  Created by yamazaki on 2017/10/13.
//  Copyright © 2017年 AQUEST. All rights reserved.
//

#import "ViewController.h"
#import <AquesTalk/AquesTalk.h>	//AquesTalk10 Framework
#import "au_play.h"					//DAライブラリ libAuPlay.a

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    // Do any additional setup after loading the view.
}


- (void)setRepresentedObject:(id)representedObject {
    [super setRepresentedObject:representedObject];

    // Update the view, if already loaded.
}

- (IBAction)sayHello:(id)sender
{
	// テキストボックスから文字列取得
	NSString *strKoe = [textfield stringValue];

	// 文字コードをShiftJISに変換
	char *sjis = (char*)[strKoe cStringUsingEncoding:NSShiftJISStringEncoding];
	
    // 声質設定
    AQTK_VOICE voice =gVoice_F1; //プリセット声種のF1をベースにする
    voice.spd = (int)[spd integerValue]; // スライダーの値から話速をセット
    voice.pit = (int)[pit integerValue]; // 高さ
    voice.lmd = (int)[lmd integerValue]; // 音程1

    // 音声合成　音声記号列->WAVデータ
	int size;
	unsigned char *wav = AquesTalk_Synthe(&voice, sjis, &size);
	if(wav==0){	// 合成失敗
        NSAlert *alert = [[ NSAlert alloc] init ];
        [ alert setMessageText:@"音声記号列の指定が正しくありません" ];
        [alert runModal];
        return;
	}
	
	// 音声出力 同期型
    PlaySound(wav);	// libAuPlay.a
	
	// 生成した波形バッファの解放
	AquesTalk_FreeWave(wav);		
}

@end
